diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/class-oembed.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/class-oembed.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/class-oembed.php	2012-12-10 16:50:34.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/class-oembed.php	2013-06-21 01:12:17.000000000 -0500
***************
*** 108,114 ****
  		$providers = array();
  
  		// Fetch URL content
! 		if ( $html = wp_remote_retrieve_body( wp_remote_get( $url ) ) ) {
  
  			// <link> types that contain oEmbed provider URLs
  			$linktypes = apply_filters( 'oembed_linktypes', array(
--- 108,114 ----
  		$providers = array();
  
  		// Fetch URL content
! 		if ( $html = wp_remote_retrieve_body( wp_remote_get( $url, array( 'reject_unsafe_urls' => true ) ) ) ) {
  
  			// <link> types that contain oEmbed provider URLs
  			$linktypes = apply_filters( 'oembed_linktypes', array(
***************
*** 190,196 ****
  	 */
  	function _fetch_with_format( $provider_url_with_args, $format ) {
  		$provider_url_with_args = add_query_arg( 'format', $format, $provider_url_with_args );
! 		$response = wp_remote_get( $provider_url_with_args );
  		if ( 501 == wp_remote_retrieve_response_code( $response ) )
  			return new WP_Error( 'not-implemented' );
  		if ( ! $body = wp_remote_retrieve_body( $response ) )
--- 190,196 ----
  	 */
  	function _fetch_with_format( $provider_url_with_args, $format ) {
  		$provider_url_with_args = add_query_arg( 'format', $format, $provider_url_with_args );
! 		$response = wp_remote_get( $provider_url_with_args, array( 'reject_unsafe_urls' => true ) );
  		if ( 501 == wp_remote_retrieve_response_code( $response ) )
  			return new WP_Error( 'not-implemented' );
  		if ( ! $body = wp_remote_retrieve_body( $response ) )
***************
*** 219,253 ****
  		if ( !function_exists('simplexml_load_string') ) {
  			return false;
  		}
! 
! 		if ( ! class_exists( 'DOMDocument' ) )
  			return false;
  
! 		$errors = libxml_use_internal_errors( true );
! 		$old_value = null;
! 		if ( function_exists( 'libxml_disable_entity_loader' ) ) {
! 			$old_value = libxml_disable_entity_loader( true );
! 		}
! 
! 		$dom = new DOMDocument;
! 		$success = $dom->loadXML( $response_body );
  
! 		if ( ! is_null( $old_value ) ) {
! 			libxml_disable_entity_loader( $old_value );
! 		}
  		libxml_use_internal_errors( $errors );
  
! 		if ( ! $success || isset( $dom->doctype ) ) {
! 			return false;
  		}
  
! 		$data = simplexml_import_dom( $dom );
! 		if ( ! is_object( $data ) )
! 			return false;
! 
! 		$return = new stdClass;
! 		foreach ( $data as $key => $value )
! 			$return->$key = (string) $value;
  		return $return;
  	}
  
--- 219,242 ----
  		if ( !function_exists('simplexml_load_string') ) {
  			return false;
  		}
! 		if ( ! function_exists( 'libxml_disable_entity_loader' ) )
  			return false;
  
! 		$loader = libxml_disable_entity_loader( true );
  
! 		$errors = libxml_use_internal_errors( true );
! 		$data = simplexml_load_string( $response_body );
  		libxml_use_internal_errors( $errors );
  
! 		$return = false;
! 		if ( is_object( $data ) ) {
! 			$return = new stdClass;
! 			foreach ( $data as $key => $value ) {
! 				$return->$key = (string) $value;
! 			}
  		}
  
! 		libxml_disable_entity_loader( $loader );
  		return $return;
  	}
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/class-phpass.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/class-phpass.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/class-phpass.php	2011-09-03 11:02:41.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/class-phpass.php	2013-06-20 20:26:34.000000000 -0500
***************
*** 253,259 ****
  		if ($hash[0] == '*')
  			$hash = crypt($password, $stored_hash);
  
! 		return $hash == $stored_hash;
  	}
  }
  
--- 253,259 ----
  		if ($hash[0] == '*')
  			$hash = crypt($password, $stored_hash);
  
! 		return $hash === $stored_hash;
  	}
  }
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/class-wp-admin-bar.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/class-wp-admin-bar.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/class-wp-admin-bar.php	2012-11-20 15:14:49.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/class-wp-admin-bar.php	2013-06-19 03:16:09.000000000 -0500
***************
*** 354,360 ****
--- 354,362 ----
  					$this->_render_group( $group );
  				} ?>
  			</div>
+ 			<?php if ( is_user_logged_in() ) : ?>
  			<a class="screen-reader-shortcut" href="<?php echo esc_url( wp_logout_url() ); ?>"><?php _e('Log Out'); ?></a>
+ 			<?php endif; ?>
  		</div>
  
  		<?php
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/class-wp-xmlrpc-server.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/class-wp-xmlrpc-server.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/class-wp-xmlrpc-server.php	2013-01-22 16:32:06.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/class-wp-xmlrpc-server.php	2013-06-21 01:12:17.000000000 -0500
***************
*** 5380,5386 ****
  		sleep(1);
  
  		// Let's check the remote site
! 		$linea = wp_remote_retrieve_body( wp_remote_get( $pagelinkedfrom, array( 'timeout' => 10, 'redirection' => 0 ) ) );
  		if ( !$linea )
  	  		return $this->pingback_error( 16, __( 'The source URL does not exist.' ) );
  
--- 5380,5387 ----
  		sleep(1);
  
  		// Let's check the remote site
! 		$linea = wp_remote_retrieve_body( wp_remote_get( $pagelinkedfrom, array( 'timeout' => 10, 'redirection' => 0, 'reject_unsafe_urls' => true ) ) );
! 
  		if ( !$linea )
  	  		return $this->pingback_error( 16, __( 'The source URL does not exist.' ) );
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/comment.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/comment.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/comment.php	2013-01-22 16:38:46.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/comment.php	2013-06-21 01:12:17.000000000 -0500
***************
*** 1661,1667 ****
  	if ( 0 === strpos($url, $uploads_dir['baseurl']) )
  		return false;
  
! 	$response = wp_remote_head( $url, array( 'timeout' => 2, 'httpversion' => '1.0' ) );
  
  	if ( is_wp_error( $response ) )
  		return false;
--- 1661,1667 ----
  	if ( 0 === strpos($url, $uploads_dir['baseurl']) )
  		return false;
  
! 	$response = wp_remote_head( $url, array( 'timeout' => 2, 'httpversion' => '1.0', 'reject_unsafe_urls' => true ) );
  
  	if ( is_wp_error( $response ) )
  		return false;
***************
*** 1674,1680 ****
  		return false;
  
  	// Now do a GET since we're going to look in the html headers (and we're sure its not a binary file)
! 	$response = wp_remote_get( $url, array( 'timeout' => 2, 'httpversion' => '1.0' ) );
  
  	if ( is_wp_error( $response ) )
  		return false;
--- 1674,1680 ----
  		return false;
  
  	// Now do a GET since we're going to look in the html headers (and we're sure its not a binary file)
! 	$response = wp_remote_get( $url, array( 'timeout' => 2, 'httpversion' => '1.0', 'reject_unsafe_urls' => true ) );
  
  	if ( is_wp_error( $response ) )
  		return false;
***************
*** 1908,1913 ****
--- 1908,1914 ----
  
  	$options = array();
  	$options['timeout'] = 4;
+ 	$options['reject_unsafe_urls'] = true;
  	$options['body'] = array(
  		'title' => $title,
  		'url' => get_permalink($ID),
***************
*** 1955,2016 ****
   * Default filter attached to pingback_ping_source_uri to validate the pingback's Source URI
   *
   * @since 3.5.1
   *
   * @param string $source_uri
   * @return string
   */
  function pingback_ping_source_uri( $source_uri ) {
! 	$uri = esc_url_raw( $source_uri, array( 'http', 'https' ) );
! 	if ( ! $uri )
! 		return '';
! 
! 	$parsed_url = @parse_url( $uri );
! 	if ( ! $parsed_url )
! 		return '';
! 
! 	if ( isset( $parsed_url['user'] ) || isset( $parsed_url['pass'] ) )
! 		return '';
! 
! 	if ( false !== strpos( $parsed_url['host'], ':' ) )
! 		return '';
! 
! 	$parsed_home = @parse_url( get_option( 'home' ) );
! 
! 	$same_host = strtolower( $parsed_home['host'] ) === strtolower( $parsed_url['host'] );
! 
! 	if ( ! $same_host ) {
! 		$host = trim( $parsed_url['host'], '.' );
! 		if ( preg_match( '#^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$#', $host ) ) {
! 			$ip = $host;
! 		} else {
! 			$ip = gethostbyname( $host );
! 			if ( $ip === $host ) // Error condition for gethostbyname()
! 				$ip = false;
! 		}
! 		if ( $ip ) {
! 			if ( '127.0.0.1' === $ip )
! 				return '';
! 			$parts = array_map( 'intval', explode( '.', $ip ) );
! 			if ( 10 === $parts[0] )
! 				return '';
! 			if ( 172 === $parts[0] && 16 <= $parts[1] && 31 >= $parts[1] )
! 				return '';
! 			if ( 192 === $parts[0] && 168 === $parts[1] )
! 				return '';
! 		}
! 	}
! 
! 	if ( empty( $parsed_url['port'] ) )
! 		return $uri;
! 
! 	$port = $parsed_url['port'];
! 	if ( 80 === $port || 443 === $port || 8080 === $port )
! 		return $uri;
! 
! 	if ( $parsed_home && $same_host && $parsed_home['port'] === $port )
! 		return $uri;
! 
! 	return '';
  }
  
  /**
--- 1956,1968 ----
   * Default filter attached to pingback_ping_source_uri to validate the pingback's Source URI
   *
   * @since 3.5.1
+  * @see wp_http_validate_url()
   *
   * @param string $source_uri
   * @return string
   */
  function pingback_ping_source_uri( $source_uri ) {
! 	return (string) wp_http_validate_url( $source_uri );
  }
  
  /**
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/deprecated.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/deprecated.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/deprecated.php	2012-11-22 03:52:16.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/deprecated.php	2013-06-19 03:00:13.000000000 -0500
***************
*** 3298,3304 ****
   */
  function wp_get_single_post( $postid = 0, $mode = OBJECT ) {
  	_deprecated_function( __FUNCTION__, '3.5', 'get_post()' );
! 	return get_post( $postid, $mode, 'edit' );
  }
  
  /**
--- 3298,3304 ----
   */
  function wp_get_single_post( $postid = 0, $mode = OBJECT ) {
  	_deprecated_function( __FUNCTION__, '3.5', 'get_post()' );
! 	return get_post( $postid, $mode );
  }
  
  /**
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/formatting.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/formatting.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/formatting.php	2012-11-18 19:28:32.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/formatting.php	2013-06-19 17:12:36.000000000 -0500
***************
*** 2601,2610 ****
  
  	if ( ! is_array( $protocols ) )
  		$protocols = wp_allowed_protocols();
! 	if ( wp_kses_bad_protocol( $url, $protocols ) != $url )
  		return '';
  
! 	return apply_filters('clean_url', $url, $original_url, $_context);
  }
  
  /**
--- 2601,2611 ----
  
  	if ( ! is_array( $protocols ) )
  		$protocols = wp_allowed_protocols();
! 	$good_protocol_url = wp_kses_bad_protocol( $url, $protocols );
! 	if ( strtolower( $good_protocol_url ) != strtolower( $url ) )
  		return '';
  
! 	return apply_filters('clean_url', $good_protocol_url, $original_url, $_context);
  }
  
  /**
***************
*** 2869,2875 ****
  
  		case 'illegal_names':
  			if ( ! is_array( $value ) )
! 				$value = explode( "\n", $value );
  
  			$value = array_values( array_filter( array_map( 'trim', $value ) ) );
  
--- 2870,2876 ----
  
  		case 'illegal_names':
  			if ( ! is_array( $value ) )
! 				$value = explode( ' ', $value );
  
  			$value = array_values( array_filter( array_map( 'trim', $value ) ) );
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/functions.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/functions.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/functions.php	2013-01-04 16:52:10.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/functions.php	2013-06-21 01:12:17.000000000 -0500
***************
*** 496,501 ****
--- 496,502 ----
  
  	$options = array();
  	$options['redirection'] = 5;
+ 	$options['reject_unsafe_urls'] = true;
  
  	if ( false == $file_path )
  		$options['method'] = 'HEAD';
***************
*** 543,549 ****
  	if ( !empty( $deprecated ) )
  		_deprecated_argument( __FUNCTION__, '2.7' );
  
! 	$response = wp_remote_head( $url );
  
  	if ( is_wp_error( $response ) )
  		return false;
--- 544,550 ----
  	if ( !empty( $deprecated ) )
  		_deprecated_argument( __FUNCTION__, '2.7' );
  
! 	$response = wp_remote_head( $url, array( 'reject_unsafe_urls' => true ) );
  
  	if ( is_wp_error( $response ) )
  		return false;
***************
*** 655,664 ****
  	else
  		$frag = '';
  
! 	if ( 0 === stripos( 'http://', $uri ) ) {
  		$protocol = 'http://';
  		$uri = substr( $uri, 7 );
! 	} elseif ( 0 === stripos( 'https://', $uri ) ) {
  		$protocol = 'https://';
  		$uri = substr( $uri, 8 );
  	} else {
--- 656,665 ----
  	else
  		$frag = '';
  
! 	if ( 0 === stripos( $uri, 'http://' ) ) {
  		$protocol = 'http://';
  		$uri = substr( $uri, 7 );
! 	} elseif ( 0 === stripos( $uri, 'https://' ) ) {
  		$protocol = 'https://';
  		$uri = substr( $uri, 8 );
  	} else {
***************
*** 758,763 ****
--- 759,765 ----
  
  	$options = array();
  	$options['timeout'] = 10;
+ 	$options['reject_unsafe_urls'] = true;
  
  	$response = wp_remote_get( $uri, $options );
  
***************
*** 2954,2962 ****
  
  	// Allow plugin to filter the output error trigger
  	if ( WP_DEBUG && apply_filters( 'doing_it_wrong_trigger_error', true ) ) {
! 		$version = is_null( $version ) ? '' : sprintf( __( '(This message was added in version %s.)' ), $version );
! 		$message .= ' ' . __( 'Please see <a href="http://codex.wordpress.org/Debugging_in_WordPress">Debugging in WordPress</a> for more information.' );
! 		trigger_error( sprintf( __( '%1$s was called <strong>incorrectly</strong>. %2$s %3$s' ), $function, $message, $version ) );
  	}
  }
  
--- 2956,2970 ----
  
  	// Allow plugin to filter the output error trigger
  	if ( WP_DEBUG && apply_filters( 'doing_it_wrong_trigger_error', true ) ) {
! 		if ( function_exists( '__' ) ) {
! 			$version = is_null( $version ) ? '' : sprintf( __( '(This message was added in version %s.)' ), $version );
! 			$message .= ' ' . __( 'Please see <a href="http://codex.wordpress.org/Debugging_in_WordPress">Debugging in WordPress</a> for more information.' );
! 			trigger_error( sprintf( __( '%1$s was called <strong>incorrectly</strong>. %2$s %3$s' ), $function, $message, $version ) );
! 		} else {
! 			$version = is_null( $version ) ? '' : sprintf( '(This message was added in version %s.)', $version );
! 			$message .= ' Please see <a href="http://codex.wordpress.org/Debugging_in_WordPress">Debugging in WordPress</a> for more information.';
! 			trigger_error( sprintf( '%1$s was called <strong>incorrectly</strong>. %2$s %3$s', $function, $message, $version ) );
! 		}
  	}
  }
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/http.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/http.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/http.php	2012-09-24 16:39:04.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/http.php	2013-06-21 01:12:17.000000000 -0500
***************
*** 311,313 ****
--- 311,374 ----
  
  	return false;
  }
+ 
+ /**
+  * Validate a URL for safe use in the HTTP API.
+  *
+  * @since 3.5.2
+  *
+  * @return mixed URL or false on failure.
+  */
+ function wp_http_validate_url( $url ) {
+ 	$url = esc_url_raw( $url, array( 'http', 'https' ) );
+ 	if ( ! $url )
+ 		return false;
+ 
+ 	$parsed_url = @parse_url( $url );
+ 	if ( ! $parsed_url )
+ 		return false;
+ 
+ 	if ( isset( $parsed_url['user'] ) || isset( $parsed_url['pass'] ) )
+ 		return false;
+ 
+ 	if ( false !== strpos( $parsed_url['host'], ':' ) )
+ 		return false;
+ 
+ 	$parsed_home = @parse_url( get_option( 'home' ) );
+ 
+ 	$same_host = strtolower( $parsed_home['host'] ) === strtolower( $parsed_url['host'] );
+ 
+ 	if ( ! $same_host ) {
+ 		$host = trim( $parsed_url['host'], '.' );
+ 		if ( preg_match( '#^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$#', $host ) ) {
+ 			$ip = $host;
+ 		} else {
+ 			$ip = gethostbyname( $host );
+ 			if ( $ip === $host ) // Error condition for gethostbyname()
+ 				$ip = false;
+ 		}
+ 		if ( $ip ) {
+ 			if ( '127.0.0.1' === $ip )
+ 				return false;
+ 			$parts = array_map( 'intval', explode( '.', $ip ) );
+ 			if ( 10 === $parts[0] )
+ 				return false;
+ 			if ( 172 === $parts[0] && 16 <= $parts[1] && 31 >= $parts[1] )
+ 				return false;
+ 			if ( 192 === $parts[0] && 168 === $parts[1] )
+ 				return false;
+ 		}
+ 	}
+ 
+ 	if ( empty( $parsed_url['port'] ) )
+ 		return $url;
+ 
+ 	$port = $parsed_url['port'];
+ 	if ( 80 === $port || 443 === $port || 8080 === $port )
+ 		return $url;
+ 
+ 	if ( $parsed_home && $same_host && $parsed_home['port'] === $port )
+ 		return $url;
+ 
+ 	return false;
+ }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/js/media-editor.js /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/media-editor.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/js/media-editor.js	2013-01-14 11:37:00.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/media-editor.js	2013-05-02 17:08:33.000000000 -0500
***************
*** 170,175 ****
--- 170,176 ----
  				icontag:    'dt',
  				captiontag: 'dd',
  				columns:    '3',
+ 				link:       'post',
  				size:       'thumbnail',
  				orderby:    'menu_order ID'
  			},
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/js/plupload/handlers.js /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/plupload/handlers.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/js/plupload/handlers.js	2012-11-21 07:05:44.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/plupload/handlers.js	2013-06-20 22:46:51.000000000 -0500
***************
*** 16,22 ****
  		items.removeClass('open').find('.slidetoggle').slideUp(200);
  	}
  	// Create a progress bar containing the filename
! 	jQuery('#media-items').append('<div id="media-item-' + fileObj.id + '" class="media-item child-of-' + postid + '"><div class="progress"><div class="percent">0%</div><div class="bar"></div></div><div class="filename original"> ' + fileObj.name + '</div></div>');
  
  	// Disable submit
  	jQuery('#insert-gallery').prop('disabled', true);
--- 16,27 ----
  		items.removeClass('open').find('.slidetoggle').slideUp(200);
  	}
  	// Create a progress bar containing the filename
! 	jQuery('<div class="media-item">')
! 		.attr( 'id', 'media-item-' + fileObj.id )
! 		.addClass('child-of-' + postid)
! 		.append('<div class="progress"><div class="percent">0%</div><div class="bar"></div></div>',
! 			jQuery('<div class="filename original">').text( ' ' + fileObj.name ))
! 		.appendTo( jQuery('#media-items' ) );
  
  	// Disable submit
  	jQuery('#insert-gallery').prop('disabled', true);
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/js/swfupload/handlers.js /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/swfupload/handlers.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/js/swfupload/handlers.js	2012-08-22 19:04:18.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/js/swfupload/handlers.js	2013-06-20 22:46:51.000000000 -0500
***************
*** 15,21 ****
  		jQuery('.slidetoggle').slideUp(200).siblings().removeClass('hidden');
  	}
  	// Create a progress bar containing the filename
! 	jQuery('#media-items').append('<div id="media-item-' + fileObj.id + '" class="media-item child-of-' + post_id + '"><div class="progress"><div class="bar"></div></div><div class="filename original"><span class="percent"></span> ' + fileObj.name + '</div></div>');
  	// Display the progress div
  	jQuery('.progress', '#media-item-' + fileObj.id).show();
  
--- 15,26 ----
  		jQuery('.slidetoggle').slideUp(200).siblings().removeClass('hidden');
  	}
  	// Create a progress bar containing the filename
! 	jQuery('<div class="media-item">')
! 		.attr( 'id', 'media-item-' + fileObj.id )
! 		.addClass('child-of-' + post_id)
! 		.append('<div class="progress"><div class="bar"></div></div>',
! 			jQuery('<div class="filename original"><span class="percent"></span>').text( ' ' + fileObj.name ))
! 		.appendTo( jQuery('#media-items' ) );
  	// Display the progress div
  	jQuery('.progress', '#media-item-' + fileObj.id).show();
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/media-template.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/media-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/media-template.php	2013-01-04 14:08:45.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/media-template.php	2013-05-02 17:08:33.000000000 -0500
***************
*** 347,358 ****
  					data-user-setting="urlbutton"
  				<# } #>>
  
! 				<option value="file" selected>
! 					<?php esc_attr_e('Media File'); ?>
! 				</option>
! 				<option value="post">
  					<?php esc_attr_e('Attachment Page'); ?>
  				</option>
  			</select>
  		</label>
  
--- 347,358 ----
  					data-user-setting="urlbutton"
  				<# } #>>
  
! 				<option value="post" selected>
  					<?php esc_attr_e('Attachment Page'); ?>
  				</option>
+ 				<option value="file">
+ 					<?php esc_attr_e('Media File'); ?>
+ 				</option>
  			</select>
  		</label>
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/pluggable.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/pluggable.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/pluggable.php	2012-11-13 23:29:56.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/pluggable.php	2013-06-20 21:15:55.000000000 -0500
***************
*** 1257,1266 ****
  	$i = wp_nonce_tick();
  
  	// Nonce generated 0-12 hours ago
! 	if ( substr(wp_hash($i . $action . $uid, 'nonce'), -12, 10) == $nonce )
  		return 1;
  	// Nonce generated 12-24 hours ago
! 	if ( substr(wp_hash(($i - 1) . $action . $uid, 'nonce'), -12, 10) == $nonce )
  		return 2;
  	// Invalid nonce
  	return false;
--- 1257,1266 ----
  	$i = wp_nonce_tick();
  
  	// Nonce generated 0-12 hours ago
! 	if ( substr(wp_hash($i . $action . $uid, 'nonce'), -12, 10) === $nonce )
  		return 1;
  	// Nonce generated 12-24 hours ago
! 	if ( substr(wp_hash(($i - 1) . $action . $uid, 'nonce'), -12, 10) === $nonce )
  		return 2;
  	// Invalid nonce
  	return false;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/post.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/post.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/post.php	2012-12-27 09:49:36.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/post.php	2013-04-04 10:57:46.000000000 -0500
***************
*** 681,692 ****
   * @return array Ancestor IDs or empty array if none are found.
   */
  function get_post_ancestors( $post ) {
- 	if ( ! $post )
- 		return array();
- 
  	$post = get_post( $post );
  
! 	if ( empty( $post->post_parent ) || $post->post_parent == $post->ID )
  		return array();
  
  	$ancestors = array();
--- 681,689 ----
   * @return array Ancestor IDs or empty array if none are found.
   */
  function get_post_ancestors( $post ) {
  	$post = get_post( $post );
  
! 	if ( ! $post || empty( $post->post_parent ) || $post->post_parent == $post->ID )
  		return array();
  
  	$ancestors = array();
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/post-template.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/post-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/post-template.php	2012-11-17 09:11:29.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/post-template.php	2013-06-20 22:02:28.000000000 -0500
***************
*** 567,574 ****
   * @return bool false if a password is not required or the correct password cookie is present, true otherwise.
   */
  function post_password_required( $post = null ) {
- 	global $wp_hasher;
- 
  	$post = get_post($post);
  
  	if ( empty( $post->post_password ) )
--- 567,572 ----
***************
*** 577,591 ****
  	if ( ! isset( $_COOKIE['wp-postpass_' . COOKIEHASH] ) )
  		return true;
  
! 	if ( empty( $wp_hasher ) ) {
! 		require_once( ABSPATH . 'wp-includes/class-phpass.php');
! 		// By default, use the portable hash from phpass
! 		$wp_hasher = new PasswordHash(8, true);
! 	}
  
  	$hash = stripslashes( $_COOKIE[ 'wp-postpass_' . COOKIEHASH ] );
  
! 	return ! $wp_hasher->CheckPassword( $post->post_password, $hash );
  }
  
  /**
--- 575,588 ----
  	if ( ! isset( $_COOKIE['wp-postpass_' . COOKIEHASH] ) )
  		return true;
  
! 	require_once ABSPATH . 'wp-includes/class-phpass.php';
! 	$hasher = new PasswordHash( 8, true );
  
  	$hash = stripslashes( $_COOKIE[ 'wp-postpass_' . COOKIEHASH ] );
+ 	if ( 0 !== strpos( $hash, '$P$B' ) )
+ 		return true;
  
! 	return ! $hasher->CheckPassword( $post->post_password, $hash );
  }
  
  /**
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/rss.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/rss.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/rss.php	2012-01-08 11:01:11.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/rss.php	2013-06-21 01:12:17.000000000 -0500
***************
*** 536,542 ****
   * @return Snoopy style response
   */
  function _fetch_remote_file($url, $headers = "" ) {
! 	$resp = wp_remote_request($url, array('headers' => $headers, 'timeout' => MAGPIE_FETCH_TIME_OUT));
  	if ( is_wp_error($resp) ) {
  		$error = array_shift($resp->errors);
  
--- 536,542 ----
   * @return Snoopy style response
   */
  function _fetch_remote_file($url, $headers = "" ) {
! 	$resp = wp_remote_request($url, array('headers' => $headers, 'timeout' => MAGPIE_FETCH_TIME_OUT, 'reject_unsafe_urls' => true ));
  	if ( is_wp_error($resp) ) {
  		$error = array_shift($resp->errors);
  
